Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.gwtext.client.widgets.menu.event
Class BaseItemListenerAdapter

    java.lang.Object
      com.gwtext.client.widgets.event.ComponentListenerAdapter
          com.gwtext.client.widgets.menu.event.BaseItemListenerAdapter

All Implemented Interfaces:
  ComponentListener, BaseItemListener

Direct Known Subclasses:
  CheckItemListenerAdapter

    public class BaseItemListenerAdapter

extends ComponentListenerAdapter
implements BaseItemListener

Constructor Summary
`BaseItemListenerAdapter()`

Method Summary
`void` | `onActivate(BaseItem item)` Fires when this item is activated
`void` | `onClick(BaseItem item, EventObject e)` Fires when this item is clicked
`void` | `onDeactivate(BaseItem item)` Fires when this item is deactivated

Methods inherited from class com.gwtext.client.widgets.event.ComponentListenerAdapter
`doBeforeDestroy, doBeforeHide, doBeforeRender, doBeforeShow, doBeforeStateRestore, doBeforeStateSave, onDestroy, onDisable, onEnable, onHide, onRender, onShow, onStateRestore, onStateSave`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.gwtext.client.widgets.event.ComponentListener
`doBeforeDestroy, doBeforeHide, doBeforeRender, doBeforeShow, doBeforeStateRestore, doBeforeStateSave, onDestroy, onDisable, onEnable, onHide, onRender, onShow, onStateRestore, onStateSave`

Constructor Detail

### BaseItemListenerAdapter

    public BaseItemListenerAdapter()

Method Detail

### onActivate

    public void onActivate(BaseItem item)

  Description copied from interface: `BaseItemListener`
  Fires when this item is activated

  Specified by:
    `onActivate` in interface `BaseItemListener`
  Parameters:
    `item` - this

### onClick

    public void onClick(BaseItem item,
                        EventObject e)

  Description copied from interface: `BaseItemListener`
  Fires when this item is clicked

  Specified by:
    `onClick` in interface `BaseItemListener`
  Parameters:
    `item` - the item
    `e` - the event object

### onDeactivate

    public void onDeactivate(BaseItem item)

  Description copied from interface: `BaseItemListener`
  Fires when this item is deactivated

  Specified by:
    `onDeactivate` in interface `BaseItemListener`
  Parameters:
    `item` - this

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD